<?php 
error_reporting(0);
ini_set(“display_errors”, 0 );

            $antecipar            = $_GET["antecipar"];

  
//////   INICIO NOVAS FUNÇÕES API BOLETO
function conta_empreendimento($idvenda){

  include "conexao.php";
  $busca_conta =  "SELECT idcontacorrente
                    FROM venda
                    INNER JOIN produto ON venda.produto_idproduto = produto.idproduto 
                    INNER JOIN lote ON venda.lote_idlote = lote.idlote
                    INNER JOIN empreendimento ON produto.empreendimento_idempreendimento = empreendimento.idempreendimento 
                    INNER JOIN empreendimento_cadastro ON empreendimento.empreendimento_cadastro_id = empreendimento_cadastro.idempreendimento_cadastro 
                    INNER JOIN empreendimento_centrocusto ON empreendimento_cadastro.idempreendimento_cadastro = empreendimento_centrocusto.empreendimento_id
                    INNER JOIN contacorrente ON empreendimento_centrocusto.contacorrente_id = contacorrente.idcontacorrente
                    INNER JOIN cliente ON contacorrente.cliente_idcliente = cliente.idcliente
                    WHERE idvenda = '$idvenda'";

  $executa_conta = mysqli_query($db, $busca_conta);

  $conta = mysqli_fetch_assoc($executa_conta);
  

    return $conta;
}

  function busca_dados_cli($venda_id){

  include "conexao.php";
  $busca_conta = mysqli_query($db, "SELECT *
                    FROM venda
                    INNER JOIN cliente ON venda.cliente_idcliente = cliente.idcliente                    
                    WHERE idvenda = '$venda_id'");

  $conta = mysqli_fetch_assoc($busca_conta);


    return $conta;
}
  function venda_id($idparcela){

  include "conexao.php";
  $busca_conta = mysqli_query($db, "SELECT venda_idvenda
                                    FROM parcelas
                                    WHERE idparcelas = '$idparcela'");
  while ($executa_venda = mysqli_fetch_assoc($busca_conta)) {

        $venda_idvenda = $executa_venda["venda_idvenda"];
}
    return $venda_idvenda;
}

////  FIM DAS NOVAS FUNÇÕES API BOLETO
      foreach ($antecipar as $key) {
        $idvenda = venda_id($key);
        $parcela_id = $key;
      }

     $conta_corrente = conta_empreendimento($idvenda);
        $idcontacorrente               = $conta_corrente["idcontacorrente"];

// echo "<pre>";
// print_r($conta_corrente);
// echo "</pre>";


// die();


?>


                        <form action="prepara_boleto.php?envio=2" method="POST" id="nome" name="nome">
                        <input type="hidden" name="idvenda" value="<?php echo $idvenda; ?>">
                        <input type="hidden" name="tipo" value="<?php echo $tipo_venda; ?>">


<!-- inicio dos dados para geração dos boleto pela API -->
                        
                     


                        <input type="hidden" name="antecipar[]" value="<?php echo $parcela_id; ?>">



<!-- Fim dos dados para geração dos boleto pela API -->


</form>
<script type="text/javascript">
  document.nome.submit();
</script>   